Zurück   NaviBoard GPS Forum > Karten und Software > Digitale Kartenwerke > Eigene Vektorkarten erstellen oder Anpassen
Hinweise

Antwort
 
Themen-Optionen Thema durchsuchen Ansicht
  #1  
Alt 31.12.2018, 16:08
papaluna papaluna ist offline
NaviBoard Mitglied
 
Registriert seit: 12.06.2006
Beiträge: 5.079
phyghtmap: Lauffähige Umgebung erstellen unter Windows

Ich versuche seit mehreren Tagen eine lauffähige phyghtmap-Installation hinzubekommen.

BS: Windows 10 64bit

Python-Versionen habe ich probiert: 2.7.9, 2.7.15, 3.5, 3.7.2.
phyghtmap-Versionen: 1.8.0(für die 2erpy) 2.2.1(für die 3erpy)

Nach Installation fehlender sonstiger Pakete wie. matplotlib(2.2.3 / 3.0.2)
als Einzelinstallation via PIP und zu guter letzt auch als Wheel von https://www.lfd.uci.edu/~gohlke/pythonlibs/#matplotlib
wie hier https://wiki.openstreetmap.org/wiki/...n_3_in_Windows
erwähnt.

In der Kombi Python 3. mit phyghtmap-2.21 erhalte ich bei einem simplen Aufruf von phyghtmap --help schon nur
Code:
Traceback (most recent call last):
  File "d:\Programmiertools\Python\Scripts\phyghtmap-script.py", line 11, in <module>
    load_entry_point('phyghtmap==2.21', 'console_scripts', 'phyghtmap')()
  File "D:\Programmiertools\Python\lib\site-packages\pkg_resources\__init__.py", line 487, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "D:\Programmiertools\Python\lib\site-packages\pkg_resources\__init__.py", line 2728, in load_entry_point
    return ep.load()
  File "D:\Programmiertools\Python\lib\site-packages\pkg_resources\__init__.py", line 2346, in load
    return self.resolve()
  File "D:\Programmiertools\Python\lib\site-packages\pkg_resources\__init__.py", line 2352, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 668, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 638, in _load_backward_compatible
  File "D:\Programmiertools\Python\lib\site-packages\phyghtmap-2.21-py3.7.egg\phyghtmap\main.py", line 26, in <module>
  File "D:\Programmiertools\Python\lib\ntpath.py", line 76, in join
    path = os.fspath(path)
  TypeError: expected str, bytes or os.PathLike object, not NoneType

In Verbindung mit phyghtmap-2.0 ergibt sich folgende Fehlermeldung

Code:
Traceback (most recent call last):
  File "D:\Programmiertools\Python\Scripts\phyghtmap-script.py", line 11, in <module>
    load_entry_point('phyghtmap==2.0', 'console_scripts', 'phyghtmap')()
  File "D:\Programmiertools\Python\lib\site-packages\pkg_resources\__init__.py", line 487, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "D:\Programmiertools\Python\lib\site-packages\pkg_resources\__init__.py", line 2728, in load_entry_point
    return ep.load()
  File "D:\Programmiertools\Python\lib\site-packages\pkg_resources\__init__.py", line 2346, in load
    return self.resolve()
  File "D:\Programmiertools\Python\lib\site-packages\pkg_resources\__init__.py", line 2352, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "D:\Programmiertools\Python\lib\site-packages\phyghtmap-2.0-py3.7.egg\phyghtmap\main.py", line 17, in <module>
  File "D:\Programmiertools\Python\lib\site-packages\phyghtmap-2.0-py3.7.egg\phyghtmap\hgt.py", line 10, in <module>
ImportError: cannot import name '_cntr' from 'matplotlib' (D:\Programmiertools\Python\lib\site-packages\matplotlib\__init__.py)

Kennt einer eine funktionierende Kombi?
__________________
Anima 3.* Ultra 3.* CGPSL 8.* TTQV 4.0.133 Mapsource 6.13.7 6.16.3 MapTk 3.3
Garda-Gps-for-TwoNav TwoNav-Wissen
Meine_ANIMA_Custom_Version

Geändert von papaluna (31.12.2018 um 16:36 Uhr) Grund: Ergänzung weitere Fehlermeldung mit anderer Version
Mit Zitat antworten
  #2  
Alt 31.12.2018, 17:35
Benutzerbild von Speichennippel
Speichennippel Speichennippel ist offline
NaviBoard Mitglied
 
Registriert seit: 29.01.2010
Beiträge: 1.241
Auf meinem PC läuft phyghtmap 2.7
win10 64bit

Verstanden habe ich die Installation nicht, ich bin einfach die einzelnen Schritte durchgegangen, die auf der HP beschrieben sind.

Versuche doch mal den Adrian unter der Mail zu erreichen, die auf der HP angegeben ist, wenn es nicht funktioniert. Vielleicht hat er den entscheidenden Tip.
Mit Zitat antworten
  #3  
Alt 31.12.2018, 17:42
papaluna papaluna ist offline
NaviBoard Mitglied
 
Registriert seit: 12.06.2006
Beiträge: 5.079
Hi Arndt,


mit "phyghtmap 2.7" meintest du Python 2.7 !? da die aktuelle phyghtmap version ja die 2.2.1 ist welche ja aber eigentlich für Python 3.* ist.
Welche phyghtmap version hast du denn genommen?
__________________
Anima 3.* Ultra 3.* CGPSL 8.* TTQV 4.0.133 Mapsource 6.13.7 6.16.3 MapTk 3.3
Garda-Gps-for-TwoNav TwoNav-Wissen
Meine_ANIMA_Custom_Version
Mit Zitat antworten
  #4  
Alt 01.01.2019, 10:52
gerhardg gerhardg ist offline
NaviBoard Mitglied
 
Registriert seit: 11.09.2008
Beiträge: 1.059
Den Aufwand unter Windows würde ich mir heute nicht mehr antun. Heute kannst du Linux Anwendungen einfach per WSL in WIndows nutzen => https://de.wikipedia.org/wiki/Window...stem_for_Linux



1. Hol dir ein aktuelles Ubuntu Image aus dem Appstore: https://www.microsoft.com/de-at/p/ub...ot:overviewtab

2. nach der Installation einfach das Paket mit "wget http://katze.tfiu.de/projects/phyghtmap/phyghtmap_2.21-1_all.deb" herunterladen

3. das heruntergeladene Paket mit "dpkg -i phyghtmap_2.21-1_all.deb" installieren

4. fertig
Mit Zitat antworten
  #5  
Alt 01.01.2019, 13:02
papaluna papaluna ist offline
NaviBoard Mitglied
 
Registriert seit: 12.06.2006
Beiträge: 5.079
Hallo Gerhard,

ein Frohes neues Jahr.

Danke für diese interressante Informationen.

"4.Fertig"
ganz so einfach war es dann doch nicht.

nach "dpkg -i phyghtmap_2.21-1_all.deb" fehlte doch noch so einiges an abhängigen Paketen wie pyhton selbst, matplotlib, gdal,numpy etc. etc.

Jetzt läuft es aber.

Trotzdem bin ich noch an einer Lösung unter Windows direkt interessiert.
Schon aus reiner Neugier.
__________________
Anima 3.* Ultra 3.* CGPSL 8.* TTQV 4.0.133 Mapsource 6.13.7 6.16.3 MapTk 3.3
Garda-Gps-for-TwoNav TwoNav-Wissen
Meine_ANIMA_Custom_Version
Mit Zitat antworten
  #6  
Alt 01.01.2019, 14:47
papaluna papaluna ist offline
NaviBoard Mitglied
 
Registriert seit: 12.06.2006
Beiträge: 5.079
Gut ich habe es dann nochmal nach folgender Anleitung probiert:

http://katze.tfiu.de/projects/phyght...wsInstallation

Ausgehend von einer Windows 10 64bit Umgebung habe ich die

Python 2.7.9 als 64er genommen.

Dann folgend wie in der Anleitung beschrieben die Pakete installiert.
Numpy wurde per PIP installiert, da die runtergeladene Installations.exe die Phyton-Installation nicht finden konnte.
Setuptools sind auch nur per PIP installierbar gewesen.
Vermutlich sind sie aber nicht notwendig da die 2.7.9 PIP schon von Hause aus beinhaltet.

Matplotlib habe ich irrtümlich die 1.4.2 genommen.

Die scheint aber wiederum ein modul nxutils nicht mehr zu haben das von numpy benötigt wird(soweit ich Laie das verstanden habe).

Nach Installtion von Matplotlib in der Version 1.1.0 läuft es nun

Hier die Liste der letztendlich installierten Pakete:

BeautifulSoup (3.2.0)
matplotlib (1.1.0)
numpy (1.15.4)
phyghtmap (1.42)
pip (1.5.6)
pyparsing (2.3.0)
python-dateutil (2.7.5)
setuptools (40.6.3)
six (1.12.0)


[NACHTRAG]
ab phyghtmap (1.80) bekomme ich wieder einen Error.
1.7.4. ist die letzte Version die bei mir in der obigen Konstellation geht
__________________
Anima 3.* Ultra 3.* CGPSL 8.* TTQV 4.0.133 Mapsource 6.13.7 6.16.3 MapTk 3.3
Garda-Gps-for-TwoNav TwoNav-Wissen
Meine_ANIMA_Custom_Version

Geändert von papaluna (01.01.2019 um 15:43 Uhr) Grund: Nachtrag
Mit Zitat antworten
  #7  
Alt 02.01.2019, 18:47
gerhardg gerhardg ist offline
NaviBoard Mitglied
 
Registriert seit: 11.09.2008
Beiträge: 1.059
Ich habe meine Buildumgebung vor langer Zeit auf Linux verschoben, macht einfach weitaus weniger Stress da die Abhängigkeiten hier vom Paketmanager übernommen werden. Es ist heute auch recht einfach diverse Docker Images in WIndows 10 einzubinden (Qgis Server,...) und durchaus auch auf eine "richtige" Linux Umgebung verzichten.
Mit Zitat antworten
Antwort

Themen-Optionen Thema durchsuchen
Thema durchsuchen:

Erweiterte Suche
Ansicht

Forumregeln
Es ist dir nicht erlaubt, neue Themen zu verfassen.
Es ist dir nicht erlaubt, auf Beiträge zu antworten.
Es ist dir nicht erlaubt, Anhänge hochzuladen.
Es ist dir nicht erlaubt, deine Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist an.
HTML-Code ist aus.


Ähnliche Themen
Thema Autor Forum Antworten Letzter Beitrag
Einladung an alle User aus Koeln und Umgebung 900SS-97 Plauderecke 7 23.11.2008 21:56
Routen & Poi's Garasee + Umgebung redb@ron zûmo 400 , 500 , 550 7 27.08.2008 18:26
Wer hat Tipp - Telefon-Freisprecheinrichtung für laute Umgebung freeday Plauderecke 7 30.11.2007 15:32
Finden in der Umgebung kupfi GPSMap 60xx und 76xx Serie 5 21.08.2006 06:33
Städtesuche mit Topo nur in Umgebung? zappa GPSMap 60xx und 76xx Serie 11 09.07.2004 14:48


Alle Zeitangaben in WEZ +1. Es ist jetzt 11:06 Uhr.


Powered by vBulletin® Version 3.8.11 (Deutsch)
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.
Template-Modifikationen durch TMS